#ifdef CONFIGURATION
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Configuration_Parameters.h"


namespace morpheo              {
namespace behavioural          {

  string Configuration_Parameters::print (uint32_t depth)
  {
    XML * xml = new XML (_name);
    
    xml->balise_open_begin("generic");
    xml->  attribut("name"   ,         _name  );
    xml->  attribut("value"  ,toString(_value));
    xml->  attribut("min"    ,toString(_min  ));
    xml->  attribut("max"    ,toString(_max  ));
    xml->  attribut("step"   ,         _step  );
    xml->  attribut("default",toString(_value));
    xml->  attribut("level"  ,toString(_level));
    xml->balise_open_end  ();
    xml->  text  (_comment);
    xml->balise_close();
    
    return xml->get_body(depth);
  };
  
  ostream& operator<< (ostream& output_stream,
		       morpheo::behavioural::Configuration_Parameters & x)
  {
    output_stream << x.print(0);

    return output_stream;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
